warnings when using maya 2015 and latest ftrack_api
0

2 posts in this topic

Hello guys,

I am starting to work  with latest ftrack version with maya and windows. When I use ftrack_api in windows, everything is ok, but, when inside Maya, I get results, but also, lot of warnings, and I wonder if there is a way to fix them.

Any query to ftrack results in these errors..

 

 

Quote

C:\Python27\Lib\site-packages\urllib3\util\ssl_.py:139: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
  InsecurePlatformWarning,

C:\Python27\Lib\site-packages\urllib3\util\ssl_.py:139: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
  InsecurePlatformWarning,

 

Share this post


Link to post
Share on other sites

Hi Eder,

Is that the real path on your computer? Have you tried upgrading to something newer? To just hide the errors, I do something like this for another lib in my dev environment:

For this module specifically:
urllib3.disable_warnings()

General warning suppression:
import warnings
warnings.simplefilter("ignore", urllib3.exceptions.InsecurePlatformWarning)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
0